# This makefile makes all the possible versions, bp, ibp, sbp and sibp.
# Only ibp leaves its object files around, the others don't.
#
# If your C uses the ANSI standard of single precision arithmetic
# instead of the original Kernighan and Richie standard of double for
# all floating point arithmetic you will probably want to change the
# -DDOUBLE flag to -DFLOAT.
#
# If you're using BSD add the flag -DBSD.  If you're using a NeXT add
# the flag -DNEXT.  Suns and System V variations don't need an extra
# flag.

CFLAGS= -s -DDOUBLE -DUNIX

ibp: bp.o io.o misc.o int.o makefile.unx ibp.h
	cc $(CFLAGS) bp.o io.o misc.o int.o -lm -o ibp

sibp:
	cc -DINTEGER -DSYMMETRIC int.c bp.c io.c misc.c $(CFLAGS) -lm -o sibp
	rm bp.o io.o int.o misc.o

bp:
	cc real.c bp.c io.c misc.c $(CFLAGS) -lm -o bp
	rm bp.o io.o real.o misc.o

sbp:
	cc -DSYMMETRIC real.c bp.c io.c misc.c $(CFLAGS) -lm -o sbp
	rm bp.o io.o real.o misc.o

bp.o: bp.c ibp.h makefile.unx
	cc -DINTEGER $(CFLAGS) bp.c -c

io.o: io.c ibp.h makefile.unx
	cc -DINTEGER $(CFLAGS) io.c -c -O

misc.o: misc.c ibp.h makefile.unx
	cc -DINTEGER $(CFLAGS) misc.c -c -O

int.o: int.c ibp.h makefile.unx
	cc -DINTEGER $(CFLAGS) int.c -c -O
